Index: src/sas/sascalc/dataloader/readers/ascii_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/dataloader/readers/ascii_reader.py	(revision 7d94915074e1688fc87991152ae32ccfce9987f4)
@@ -33,5 +33,5 @@
     ## File type
     type_name = "ASCII"
-    
+
     ## Wildcards
     type = ["ASCII files (*.txt)|*.txt",
@@ -41,16 +41,15 @@
     ## List of allowed extensions
     ext = ['.txt', '.TXT', '.dat', '.DAT', '.abs', '.ABS', 'csv', 'CSV']
-    
+
     ## Flag to bypass extension check
     allow_all = True
-    
+
     def read(self, path):
         """
         Load data file
-        
+
         :param path: file path
-        
         :return: Data1D object, or None
-        
+
         :raise RuntimeError: when the file can't be opened
         :raise ValueError: when the length of the data vectors are inconsistent
@@ -62,5 +61,5 @@
                 try:
                     # Read in binary mode since GRASP frequently has no-ascii
-                    # characters that brakes the open operation
+                    # characters that breaks the open operation
                     input_f = open(path,'rb')
                 except:
@@ -68,255 +67,132 @@
                 buff = input_f.read()
                 lines = buff.splitlines()
-                 
-                x  = numpy.zeros(0)
-                y  = numpy.zeros(0)
-                dy = numpy.zeros(0)
-                dx = numpy.zeros(0)
-                
-                #temp. space to sort data
-                tx  = numpy.zeros(0)
-                ty  = numpy.zeros(0)
+
+                # Arrays for data storage
+                tx = numpy.zeros(0)
+                ty = numpy.zeros(0)
                 tdy = numpy.zeros(0)
                 tdx = numpy.zeros(0)
-                
-                output = Data1D(x, y, dy=dy, dx=dx)
-                self.filename = output.filename = basename
-           
-                data_conv_q = None
-                data_conv_i = None
-                
-                if has_converter == True and output.x_unit != '1/A':
-                    data_conv_q = Converter('1/A')
-                    # Test it
-                    data_conv_q(1.0, output.x_unit)
-                    
-                if has_converter == True and output.y_unit != '1/cm':
-                    data_conv_i = Converter('1/cm')
-                    # Test it
-                    data_conv_i(1.0, output.y_unit)
-           
+
                 # The first good line of data will define whether
                 # we have 2-column or 3-column ascii
                 has_error_dx = None
                 has_error_dy = None
-                
+
                 #Initialize counters for data lines and header lines.
-                is_data = False  # Has more than 5 lines
+                is_data = False
                 # More than "5" lines of data is considered as actual
                 # data unless that is the only data
-                mum_data_lines = 5
+                min_data_pts = 5
                 # To count # of current data candidate lines
-                i = -1
+                candidate_lines = 0
                 # To count total # of previous data candidate lines
-                i1 = -1
-                # To count # of header lines
-                j = -1
-                # Helps to count # of header lines
-                j1 = -1
-                #minimum required number of columns of data; ( <= 4).
+                candidate_lines_previous = 0
+                #minimum required number of columns of data
                 lentoks = 2
                 for line in lines:
-                    # Initial try for CSV (split on ,)
-                    toks = line.split(',')
-                    # Now try SCSV (split on ;)
-                    if len(toks) < 2:
-                        toks = line.split(';')
-                    # Now go for whitespace                    
-                    if len(toks) < 2:
-                        toks = line.split()
+                    toks = self.splitline(line)
+                    # To remember the # of columns in the current line of data
+                    new_lentoks = len(toks)
                     try:
+                        if new_lentoks == 1 and not is_data:
+                            ## If only one item in list, no longer data
+                            raise ValueError
+                        elif new_lentoks == 0:
+                            ## If the line is blank, skip and continue on
+                            ## In case of breaks within data sets.
+                            continue
+                        elif new_lentoks != lentoks and is_data:
+                            ## If a footer is found, break the loop and save the data
+                            break
+                        elif new_lentoks != lentoks and not is_data:
+                            ## If header lines are numerical
+                            candidate_lines = 0
+                            candidate_lines_previous = 0
+
                         #Make sure that all columns are numbers.
                         for colnum in range(len(toks)):
+                            # Any non-floating point values throw ValueError
                             float(toks[colnum])
-                            
+
+                        candidate_lines += 1
                         _x = float(toks[0])
                         _y = float(toks[1])
-                        
-                        #Reset the header line counters
-                        if j == j1:
-                            j = 0
-                            j1 = 0
-                            
-                        if i > 1:
+                        _dx = None
+                        _dy = None
+
+                        #If 5 or more lines, this is considering the set data
+                        if candidate_lines >= min_data_pts:
                             is_data = True
-                        
-                        if data_conv_q is not None:
-                            _x = data_conv_q(_x, units=output.x_unit)
-                            
-                        if data_conv_i is not None:
-                            _y = data_conv_i(_y, units=output.y_unit)
-                        
-                        # If we have an extra token, check
-                        # whether it can be interpreted as a
-                        # third column.
-                        _dy = None
-                        if len(toks) > 2:
-                            try:
-                                _dy = float(toks[2])
-                                
-                                if data_conv_i is not None:
-                                    _dy = data_conv_i(_dy, units=output.y_unit)
-                                
-                            except:
-                                # The third column is not a float, skip it.
-                                pass
-                            
-                        # If we haven't set the 3rd column
-                        # flag, set it now.
-                        if has_error_dy == None:
-                            has_error_dy = False if _dy == None else True
-                            
-                        #Check for dx
-                        _dx = None
-                        if len(toks) > 3:
-                            try:
-                                _dx = float(toks[3])
-                                
-                                if data_conv_i is not None:
-                                    _dx = data_conv_i(_dx, units=output.x_unit)
-                                
-                            except:
-                                # The 4th column is not a float, skip it.
-                                pass
-                            
-                        # If we haven't set the 3rd column
-                        # flag, set it now.
-                        if has_error_dx == None:
-                            has_error_dx = False if _dx == None else True
-                        
-                        #After talked with PB, we decided to take care of only
-                        # 4 columns of data for now.
-                        #number of columns in the current line
-                        #To remember the # of columns in the current
-                        #line of data
-                        new_lentoks = len(toks)
-                        
-                        #If the previous columns not equal to the current,
-                        #mark the previous as non-data and reset the dependents.
-                        if lentoks != new_lentoks:
-                            if is_data == True:
-                                break
-                            else:
-                                i = -1
-                                i1 = 0
-                                j = -1
-                                j1 = -1
-                            
-                        #Delete the previously stored lines of data candidates
-                        # if is not data.
-                        if i < 0 and -1 < i1 < mum_data_lines and \
-                            is_data == False:
-                            try:
-                                x = numpy.zeros(0)
-                                y = numpy.zeros(0)
-                            except:
-                                pass
-                            
-                        x = numpy.append(x, _x)
-                        y = numpy.append(y, _y)
-                        
-                        if has_error_dy == True:
-                            #Delete the previously stored lines of
-                            # data candidates if is not data.
-                            if i < 0 and -1 < i1 < mum_data_lines and \
-                                is_data == False:
-                                try:
-                                    dy = numpy.zeros(0)
-                                except:
-                                    pass
-                            dy = numpy.append(dy, _dy)
-                            
-                        if has_error_dx == True:
-                            #Delete the previously stored lines of
-                            # data candidates if is not data.
-                            if i < 0 and -1 < i1 < mum_data_lines and \
-                                is_data == False:
-                                try:
-                                    dx = numpy.zeros(0)
-                                except:
-                                    pass
-                            dx = numpy.append(dx, _dx)
-                            
-                        #Same for temp.
-                        #Delete the previously stored lines of data candidates
-                        # if is not data.
-                        if i < 0 and -1 < i1 < mum_data_lines and\
+
+                        # If a 3rd row is present, consider it dy
+                        if new_lentoks > 2:
+                            _dy = float(toks[2])
+                        has_error_dy = False if _dy == None else True
+
+                        # If a 4th row is present, consider it dx
+                        if new_lentoks > 3:
+                            _dx = float(toks[3])
+                        has_error_dx = False if _dx == None else True
+
+                        # Delete the previously stored lines of data candidates if
+                        # the list is not data
+                        if candidate_lines == 1 and -1 < candidate_lines_previous < min_data_pts and \
                             is_data == False:
                             try:
                                 tx = numpy.zeros(0)
                                 ty = numpy.zeros(0)
+                                tdy = numpy.zeros(0)
+                                tdx = numpy.zeros(0)
                             except:
                                 pass
 
+                        if has_error_dy == True:
+                            tdy = numpy.append(tdy, _dy)
+                        if has_error_dx == True:
+                            tdx = numpy.append(tdx, _dx)
                         tx = numpy.append(tx, _x)
                         ty = numpy.append(ty, _y)
-                        
-                        if has_error_dy == True:
-                            #Delete the previously stored lines of
-                            # data candidates if is not data.
-                            if i < 0 and -1 < i1 < mum_data_lines and \
-                                is_data == False:
-                                try:
-                                    tdy = numpy.zeros(0)
-                                except:
-                                    pass
-                            tdy = numpy.append(tdy, _dy)
-                        if has_error_dx == True:
-                            #Delete the previously stored lines of
-                            # data candidates if is not data.
-                            if i < 0 and -1 < i1 < mum_data_lines and \
-                                is_data == False:
-                                try:
-                                    tdx = numpy.zeros(0)
-                                except:
-                                    pass
-                            tdx = numpy.append(tdx, _dx)
-
-                        #reset i1 and flag lentoks for the next
-                        if lentoks < new_lentoks:
-                            if is_data == False:
-                                i1 = -1
+
                         #To remember the # of columns on the current line
                         # for the next line of data
-                        lentoks = len(toks)
-                        
-                        #Reset # of header lines and counts #
-                        # of data candidate lines
-                        if j == 0 and j1 == 0:
-                            i1 = i + 1
-                        i += 1
-                    except:
+                        lentoks = new_lentoks
+                        candidate_lines_previous = candidate_lines
+                    except ValueError:
                         # It is data and meet non - number, then stop reading
                         if is_data == True:
                             break
                         lentoks = 2
-                        #Counting # of header lines
-                        j += 1
-                        if j == j1 + 1:
-                            j1 = j
-                        else:
-                            j = -1
+                        has_error_dx = None
+                        has_error_dy = None
                         #Reset # of lines of data candidates
-                        i = -1
-                        
-                        # Couldn't parse this line, skip it
+                        candidate_lines = 0
+                    except:
                         pass
-                    
+
                 input_f.close()
+                if not is_data:
+                    return None
                 # Sanity check
-                if has_error_dy == True and not len(y) == len(dy):
+                if has_error_dy == True and not len(ty) == len(tdy):
                     msg = "ascii_reader: y and dy have different length"
                     raise RuntimeError, msg
-                if has_error_dx == True and not len(x) == len(dx):
+                if has_error_dx == True and not len(tx) == len(tdx):
                     msg = "ascii_reader: y and dy have different length"
                     raise RuntimeError, msg
                 # If the data length is zero, consider this as
                 # though we were not able to read the file.
-                if len(x) == 0:
+                if len(tx) == 0:
                     raise RuntimeError, "ascii_reader: could not load file"
-                
+
                 #Let's re-order the data to make cal.
                 # curve look better some cases
                 ind = numpy.lexsort((ty, tx))
+                x = numpy.zeros(len(tx))
+                y = numpy.zeros(len(ty))
+                dy = numpy.zeros(len(tdy))
+                dx = numpy.zeros(len(tdx))
+                output = Data1D(x, y, dy=dy, dx=dx)
+                self.filename = output.filename = basename
+
                 for i in ind:
                     x[i] = tx[ind[i]]
@@ -338,14 +214,8 @@
                 output.dx = dx[x != 0] if has_error_dx == True\
                     else numpy.zeros(len(output.x))
-                                
-                if data_conv_q is not None:
-                    output.xaxis("\\rm{Q}", output.x_unit)
-                else:
-                    output.xaxis("\\rm{Q}", 'A^{-1}')
-                if data_conv_i is not None:
-                    output.yaxis("\\rm{Intensity}", output.y_unit)
-                else:
-                    output.yaxis("\\rm{Intensity}", "cm^{-1}")
-                    
+
+                output.xaxis("\\rm{Q}", 'A^{-1}')
+                output.yaxis("\\rm{Intensity}", "cm^{-1}")
+
                 # Store loading process information
                 output.meta_data['loader'] = self.type_name
@@ -353,6 +223,22 @@
                     raise RuntimeError, "%s is empty" % path
                 return output
-            
+
         else:
             raise RuntimeError, "%s is not a file" % path
         return None
+
+    def splitline(self, line):
+        """
+        Splits a line into pieces based on common delimeters
+        :param line: A single line of text
+        :return: list of values
+        """
+        # Initial try for CSV (split on ,)
+        toks = line.split(',')
+        # Now try SCSV (split on ;)
+        if len(toks) < 2:
+            toks = line.split(';')
+        # Now go for whitespace
+        if len(toks) < 2:
+            toks = line.split()
+        return toks
Index: src/sas/sascalc/dataloader/readers/cansas_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 5f26aa48a5e34765d73c20fa10024d5319567854)
+++ src/sas/sascalc/dataloader/readers/cansas_reader.py	(revision 654e8e066dda6b98c221cad28e05fa6996e7fc11)
@@ -62,4 +62,5 @@
     type_name = "canSAS"
     invalid = True
+    frm = ""
     ## Log messages and errors
     logging = None
@@ -138,5 +139,4 @@
                     for entry in entry_list:
                         # Create a new DataInfo object for every <SASentry>
-
 
                         # Set the file name and then parse the entry.
@@ -183,5 +183,5 @@
         return self.output
 
-    def _parse_entry(self, dom):
+    def _parse_entry(self, dom, recurse=False):
         """
         Parse a SASEntry - new recursive method for parsing the dom of
@@ -192,6 +192,5 @@
         """
 
-        frm = inspect.stack()[1]
-        if not self._is_call_local(frm):
+        if not self._is_call_local() and not recurse:
             self.reset_state()
             self.add_data_set()
@@ -201,6 +200,4 @@
         self.base_ns = "{0}{1}{2}".format("{", \
                             CANSAS_NS.get(self.cansas_version).get("ns"), "}")
-        tagname = ''
-        tagname_original = ''
 
         # Go through each child in the parent element
@@ -225,5 +222,5 @@
                     self._initialize_new_data_set()
                 ## Recursion step to access data within the group
-                self._parse_entry(node)
+                self._parse_entry(node, True)
                 if tagname == "SASsample":
                     self.current_datainfo.sample.name = name
@@ -437,5 +434,6 @@
                 length = len(self.names) - 1
             self.parent_class = self.names[length]
-        if not self._is_call_local(frm):
+        if not self._is_call_local() and not recurse:
+            self.frm = ""
             self.add_data_set()
             empty = None
@@ -448,12 +446,12 @@
 
 
-    def _is_call_local(self, frm=""):
-        """
-
-        :return:
-        """
-        if frm == "":
-            frm = inspect.stack()[1]
-        mod_name = frm[1].replace("\\", "/").replace(".pyc", "")
+    def _is_call_local(self):
+        """
+
+        """
+        if self.frm == "":
+            inter = inspect.stack()
+            self.frm = inter[2]
+        mod_name = self.frm[1].replace("\\", "/").replace(".pyc", "")
         mod_name = mod_name.replace(".py", "")
         mod = mod_name.split("sas/")
@@ -836,6 +834,6 @@
         # If the calling function was not the cansas reader, return a minidom
         #      object rather than an lxml object.
-        frm = inspect.stack()[1]
-        doc, entry_node = self._check_origin(entry_node, doc, frm)
+        self.frm = inspect.stack()[1]
+        doc, entry_node = self._check_origin(entry_node, doc)
         return doc, entry_node
 
@@ -1232,5 +1230,5 @@
                 self.append(node, entry_node)
 
-    def _check_origin(self, entry_node, doc, frm):
+    def _check_origin(self, entry_node, doc):
         """
         Return the document, and the SASentry node associated with
@@ -1242,7 +1240,7 @@
         :param doc: entire xml tree
         """
-        if not frm:
-            frm = inspect.stack()[1]
-        mod_name = frm[1].replace("\\", "/").replace(".pyc", "")
+        if not self.frm:
+            self.frm = inspect.stack()[1]
+        mod_name = self.frm[1].replace("\\", "/").replace(".pyc", "")
         mod_name = mod_name.replace(".py", "")
         mod = mod_name.split("sas/")
Index: src/sas/sascalc/dataloader/readers/xml_reader.py
===================================================================
--- src/sas/sascalc/dataloader/readers/xml_reader.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/dataloader/readers/xml_reader.py	(revision a235f71571822c52f74fd1221fcd542805cf1277)
@@ -70,4 +70,21 @@
             self.xmldoc = etree.parse(self.xml, parser=PARSER)
             self.xmlroot = self.xmldoc.getroot()
+        except etree.XMLSyntaxError as xml_error:
+            logging.info(xml_error)
+        except Exception:
+            self.xml = None
+            self.xmldoc = None
+            self.xmlroot = None
+
+    def set_xml_string(self, tag_soup):
+        """
+        Set an XML string as the working XML.
+
+        :param tag_soup: XML formatted string
+        """
+        try:
+            self.xml = tag_soup
+            self.xmldoc = tag_soup
+            self.xmlroot = etree.fromstring(tag_soup)
         except etree.XMLSyntaxError as xml_error:
             logging.info(xml_error)
Index: src/sas/sascalc/pr/invertor.py
===================================================================
--- src/sas/sascalc/pr/invertor.py	(revision b699768550de9d4b35b087234ec1d2a461922bab)
+++ src/sas/sascalc/pr/invertor.py	(revision 2c60f30436c786afaf7a16a8d82389832d5c6637)
@@ -154,4 +154,8 @@
             return self.set_err(value2)
         elif name == 'd_max':
+            if value <= 0.0:
+                msg = "Invertor: d_max must be greater than zero."
+                msg += "Correct that entry before proceeding"
+                raise ValueError, msg
             return self.set_dmax(value)
         elif name == 'q_min':
Index: src/sas/sasgui/guiframe/aboutbox.py
===================================================================
--- src/sas/sasgui/guiframe/aboutbox.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/aboutbox.py	(revision e0f28e6ff06f5e12fc7aa2e057964cd67a3ba8f8)
@@ -106,5 +106,6 @@
         self.bitmap_button_nist = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_umd = wx.BitmapButton(self, -1, wx.NullBitmap)
-        self.bitmap_button_sns = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_ornl = wx.BitmapButton(self, -1, wx.NullBitmap)
+        #self.bitmap_button_sns = wx.BitmapButton(self, -1, wx.NullBitmap)
         #self.bitmap_button_nsf = wx.BitmapButton(self, -1,
         #                                         wx.NullBitmap)
@@ -115,4 +116,5 @@
         self.bitmap_button_ess = wx.BitmapButton(self, -1, wx.NullBitmap)
         self.bitmap_button_ill = wx.BitmapButton(self, -1, wx.NullBitmap)
+        self.bitmap_button_ansto = wx.BitmapButton(self, -1, wx.NullBitmap)
         
         self.static_line_3 = wx.StaticLine(self, -1)
@@ -124,5 +126,6 @@
         self.Bind(wx.EVT_BUTTON, self.onNistLogo, self.bitmap_button_nist)
         self.Bind(wx.EVT_BUTTON, self.onUmdLogo, self.bitmap_button_umd)
-        self.Bind(wx.EVT_BUTTON, self.onSnsLogo, self.bitmap_button_sns)
+        #self.Bind(wx.EVT_BUTTON, self.onSnsLogo, self.bitmap_button_sns)
+        self.Bind(wx.EVT_BUTTON, self.onOrnlLogo, self.bitmap_button_ornl)
         #self.Bind(wx.EVT_BUTTON, self.onNsfLogo, self.bitmap_button_nsf)
         #self.Bind(wx.EVT_BUTTON, self.onDanseLogo, self.bitmap_button_danse)
@@ -131,4 +134,5 @@
         self.Bind(wx.EVT_BUTTON, self.onEssLogo, self.bitmap_button_ess)
         self.Bind(wx.EVT_BUTTON, self.onIllLogo, self.bitmap_button_ill)
+        self.Bind(wx.EVT_BUTTON, self.onAnstoLogo, self.bitmap_button_ansto)
         # end wxGlade
         # fill in acknowledgements
@@ -163,5 +167,11 @@
         self.bitmap_button_umd.SetBitmapLabel(logo)
 
-        
+        image = file_dir + "/images/ornl_logo.png"
+        if os.path.isfile(config._ornl_logo):
+            image = config._ornl_logo
+        logo = wx.Bitmap(image)        
+        self.bitmap_button_ornl.SetBitmapLabel(logo)
+
+        """
         image = file_dir + "/images/sns_logo.png"
         if os.path.isfile(config._sns_logo):
@@ -170,5 +180,4 @@
         self.bitmap_button_sns.SetBitmapLabel(logo)
         
-        """
         image = file_dir + "/images/nsf_logo.png"
         if os.path.isfile(config._nsf_logo):
@@ -206,4 +215,10 @@
         logo = wx.Bitmap(image)
         self.bitmap_button_ill.SetBitmapLabel(logo)
+        
+        image = file_dir + "/images/ansto_logo.png"
+        if os.path.isfile(config._ansto_logo):
+            image = config._ansto_logo
+        logo = wx.Bitmap(image)
+        self.bitmap_button_ansto.SetBitmapLabel(logo)
                 
         # resize dialog window to fit version number nicely
@@ -227,5 +242,6 @@
         self.bitmap_button_nist.SetSize(self.bitmap_button_nist.GetBestSize())
         self.bitmap_button_umd.SetSize(self.bitmap_button_umd.GetBestSize())
-        self.bitmap_button_sns.SetSize(self.bitmap_button_sns.GetBestSize())
+        self.bitmap_button_ornl.SetSize(self.bitmap_button_ornl.GetBestSize())
+        #self.bitmap_button_sns.SetSize(self.bitmap_button_sns.GetBestSize())
         #self.bitmap_button_nsf.SetSize(self.bitmap_button_nsf.GetBestSize())
         #self.bitmap_button_danse.SetSize(self.bitmap_button_danse.GetBestSize())
@@ -234,4 +250,5 @@
         self.bitmap_button_ess.SetSize(self.bitmap_button_ess.GetBestSize())
         self.bitmap_button_ill.SetSize(self.bitmap_button_ill.GetBestSize())
+        self.bitmap_button_ansto.SetSize(self.bitmap_button_ansto.GetBestSize())
         # end wxGlade
 
@@ -285,5 +302,7 @@
         sizer_logos.Add(self.bitmap_button_nist, 0, 
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
-        sizer_logos.Add(self.bitmap_button_sns, 0, 
+        #sizer_logos.Add(self.bitmap_button_sns, 0, 
+        #                wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ornl, 0, 
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
         sizer_logos.Add(self.bitmap_button_isis, 0, 
@@ -292,4 +311,6 @@
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
         sizer_logos.Add(self.bitmap_button_ill, 0, 
+                        wx.LEFT|wx.ADJUST_MINSIZE, 2)
+        sizer_logos.Add(self.bitmap_button_ansto, 0, 
                         wx.LEFT|wx.ADJUST_MINSIZE, 2)
                 
@@ -321,4 +342,11 @@
         event.Skip()
         
+    def onOrnlLogo(self, event): 
+        """
+        """
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._ornl_url)
+        event.Skip()
+        
     def onSnsLogo(self, event): 
         """
@@ -368,4 +396,11 @@
         # wxGlade: DialogAbout.<event_handler>
         launchBrowser(config._ill_url)
+        event.Skip()
+
+    def onAnstoLogo(self, event):
+        """
+        """ 
+        # wxGlade: DialogAbout.<event_handler>
+        launchBrowser(config._ansto_url)
         event.Skip()
 
Index: src/sas/sasgui/guiframe/acknowledgebox.py
===================================================================
--- src/sas/sasgui/guiframe/acknowledgebox.py	(revision d85c194ea2f78cb2b9b3de9c969e1b8ebea6b6d2)
+++ src/sas/sasgui/guiframe/acknowledgebox.py	(revision c1fdf8485e681ba1145937521615515e6c3be688)
@@ -68,5 +68,6 @@
         self.preamble.SetFont(wx.Font(10, wx.DEFAULT, wx.NORMAL, wx.NORMAL, 0, ""))
         self.SetTitle("Acknowledging SasView")
-        self.SetSize((525, 225))
+        #Increased size of box from (525, 225), SMK, 04/10/16
+        self.SetSize((600, 300))
         # end wxGlade
 
Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision c8a641e878a6209ec6a298efe68269f170645bed)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision 3fac0df814fa16cb4e81b12f38998515162dd09a)
@@ -1345,21 +1345,27 @@
         self._help_menu.Append(wx_id, '&Documentation', '')
         wx.EVT_MENU(self, wx_id, self._onSphinxDocs)
+        self._help_menu.AppendSeparator()
 
         if config._do_tutorial and (IS_WIN or sys.platform == 'darwin'):
-            self._help_menu.AppendSeparator()
             wx_id = wx.NewId()
             self._help_menu.Append(wx_id, '&Tutorial', 'Software tutorial')
             wx.EVT_MENU(self, wx_id, self._onTutorial)
+            self._help_menu.AppendSeparator()
+
 
         if config._do_acknowledge:
-            self._help_menu.AppendSeparator()
             wx_id = wx.NewId()
             self._help_menu.Append(wx_id, '&Acknowledge', 'Acknowledging SasView')
             wx.EVT_MENU(self, wx_id, self._onAcknowledge)
+            self._help_menu.AppendSeparator()
+
 
         if config._do_aboutbox:
+            logging.info("Doing help menu")
+            wx_id = wx.NewId()
+            self._help_menu.Append(wx_id, '&About', 'Software information')
+            wx.EVT_MENU(self, wx_id, self._onAbout)
             self._help_menu.AppendSeparator()
-            self._help_menu.Append(wx.ID_ABOUT, '&About', 'Software information')
-            wx.EVT_MENU(self, wx.ID_ABOUT, self._onAbout)
+
 
         # Checking for updates
